xcb_input_hierarchy_change_data_t Struct Reference
XCB Input API

xcb_input_hierarchy_change_data_t More...

`#include <xinput.h>`

## Data Fields

struct { |
uint16_t name_len |
uint8_t send_core |
uint8_t enable |
char * name |
} | add_master
struct { |
xcb_input_device_id_t deviceid |
uint8_t return_mode |
uint8_t pad1 |
xcb_input_device_id_t return_pointer |
xcb_input_device_id_t return_keyboard |
} | remove_master
struct { |
xcb_input_device_id_t deviceid |
xcb_input_device_id_t master |
} | attach_slave
struct { |
xcb_input_device_id_t deviceid |
uint8_t pad2 [2] |
} | detach_slave

## Detailed Description

xcb_input_hierarchy_change_data_t

The documentation for this struct was generated from the following file:

- xinput.h